Package net.snowflake.client.jdbc.diagnostic

## Class DiagnosticContext

- java.lang.Object
- - net.snowflake.client.jdbc.diagnostic.DiagnosticContext

    @SnowflakeJdbcInternalApi
    public class DiagnosticContext
    extends Object

### Constructor Summary

Constructors
`DiagnosticContext​(String allowListFile, Map<SFSessionProperty,​Object> connectionPropertiesMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `logEnvironmentInfo()`
`void` `runDiagnostics()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagnosticContext

    public DiagnosticContext​(String allowListFile,
                             Map<SFSessionProperty,​Object> connectionPropertiesMap)

### Method Detail

#### runDiagnostics

    public void runDiagnostics()

#### logEnvironmentInfo

    public void logEnvironmentInfo()